# std::tr1::__detail::__numeric_constants< _Tp > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::tr1::__detail::__numeric_constants< _Tp >

A structure for numeric constants.

Definition at line 65 of file special_function_util.h.

## Static Public Member Functions

- static _Tp __1_pi () throw ()
- static _Tp __2_sqrtpi () throw ()
- static _Tp __euler () throw ()
- static _Tp __gamma_e () throw ()
- static _Tp __lnpi () throw ()
- static _Tp __pi () throw ()
- static _Tp __pi_2 () throw ()
- static _Tp __pi_3 () throw ()
- static _Tp __pi_4 () throw ()
- static _Tp __sqrt1_2 () throw ()
- static _Tp __sqrt2 () throw ()
- static _Tp __sqrt3 () throw ()
- static _Tp __sqrtpio2 () throw ()

## Member Function Documentation

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__1_pi | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 80 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__2_sqrtpi | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 83 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__euler | ( |  | ) | throw ()`[inline, static]`

Constant Euler-Mascheroni .

Definition at line 104 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__gamma_e | ( |  | ) | throw ()`[inline, static]`

Constant Euler's constant .

Definition at line 101 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__lnpi | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 98 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__pi | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 68 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__pi_2 | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 71 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__pi_3 | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 74 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__pi_4 | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 77 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__sqrt1_2 | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 95 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__sqrt2 | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 86 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__sqrt3 | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 89 of file special_function_util.h.

template<typename _Tp>

static _Tp std::tr1::__detail::__numeric_constants< _Tp >::__sqrtpio2 | ( |  | ) | throw ()`[inline, static]`

Constant .

Definition at line 92 of file special_function_util.h.

The documentation for this struct was generated from the following file:

- special_function_util.h